Bug 133123 - after upgrading to version 4.0.10 port emulators/mtools still can not handle FAT partitions bigger then 4GBytes
Summary: after upgrading to version 4.0.10 port emulators/mtools still can not handle ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steven Kreuzer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-27 13:20 UTC by Dmitry
Modified: 2009-04-07 18:40 UTC (History)
0 users

See Also:


Attachments
file.diff (321 bytes, patch)
2009-03-27 13:20 UTC, Dmitry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2009-03-27 13:20:01 UTC
I've upgraded mtools to version 4.0.10. It still can not handle FAT partitions bigger then 4GBytes due to copmarision of 8-byte off_t variables to 4-byte size_t limits.
 
 Copying to FAT partitions with mtools fails with "Big disks not supported on this architecture" error if FAT partition is bigger then 4G.

 Attached patch fixes this problem (from ports/132697)

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-03-27 13:28:45 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

ports PR.
Comment 2 Pav Lucistnik freebsd_committer 2009-03-30 22:25:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

Assign to maintainer
Comment 3 Steven Kreuzer freebsd_committer 2009-04-07 18:29:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2009-04-07 18:36:45 UTC
skreuzer    2009-04-07 17:28:52 UTC

  FreeBSD ports repository

  Modified files:
    emulators/mtools     Makefile 
  Log:
  Handle FAT partitions bigger then 4GBytes
  
  PR:             ports/133123
  Submitted by:   Dmitry <hanabana@mail.ru>
  Approved by:    wxs (mentor)
  
  Revision  Changes    Path
  1.69      +4 -0      ports/emulators/mtools/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"